libzypp 17.37.10

signaturecheckwf.h File Reference
`#include <zypp-core/zyppng/pipelines/AsyncResult>`
`#include <zypp-core/zyppng/pipelines/Expected>`
`#include <zypp-common/PublicKey.h>`
`#include <zypp/Pathname.h>`
`#include <zypp/KeyRingContexts.h>`
`#include <zypp/ng/workflows/contextfacade.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::SignatureFileCheckWorkflow

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Context)
expected< zypp::keyring::VerifyFileContext > | zyppng::SignatureFileCheckWorkflow::verifySignature (SyncContextRef ctx, zypp::keyring::VerifyFileContext context)
AsyncOpRef< expected< zypp::keyring::VerifyFileContext > > | zyppng::SignatureFileCheckWorkflow::verifySignature (ContextRef ctx, zypp::keyring::VerifyFileContext context)